import { NetworkCostConstraint } from "./externalApiTypes";
export interface IDashboardHostApi {
    readonly isInCTARegion: Promise<boolean>;
    readonly isPrivacyConsentAccepted: Promise<boolean>;
    readonly isInternetConnectionAvailable: Promise<boolean>;
    readonly networkCostConstraint: Promise<NetworkCostConstraint>;
    readonly sessionId: Promise<string>;
    readonly hostAppVersion: Promise<string>;
    readonly userGeoName: Promise<string>;
    readonly userDisplayLocale: Promise<string>;
    readonly isTextDirectionRTL: Promise<boolean>;
    readonly isWVVersionBlocked: Promise<boolean>;
    readonly isAppVersionBlocked: Promise<boolean>;
    readonly isOSVersionBlocked: Promise<boolean>;
    readonly geoLocationCode: Promise<string>;
    acceptPrivacyNotice(): void;
    requestRefresh(): void;
    setLaunchAttributionContext(context: string): void;
    requestClearCache(): void;
    setIsMeteredConnectionUsageAllowedForMigration(enabled: boolean): void;
    addEventListener(eventName: string, listener: Function): void;
    removeEventListener(eventName: string, listener: Function): void;
}
